Bug 980480 - [abrt] wicd-gtk-1.7.2.4-3.fc18: wicd-client.py:752:_trigger_scan_if_needed:AttributeError: 'NoneType' object has no attribute 'Scan'
[abrt] wicd-gtk-1.7.2.4-3.fc18: wicd-client.py:752:_trigger_scan_if_needed:At...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wicd (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
abrt_hash:cd98455b501836bc51f2fd24ead...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 09:57 EDT by Porter Smith
Modified: 2014-02-05 17:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:02:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (590 bytes, text/plain)
2013-07-02 09:57 EDT, Porter Smith
no flags Details
File: core_backtrace (199 bytes, text/plain)
2013-07-02 09:57 EDT, Porter Smith
no flags Details
File: environ (1.49 KB, text/plain)
2013-07-02 09:57 EDT, Porter Smith
no flags Details

  None (edit)
Description Porter Smith 2013-07-02 09:57:35 EDT
Version-Release number of selected component:
wicd-gtk-1.7.2.4-3.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python -O /usr/share/wicd/gtk/wicd-client.py --tray
executable:     /usr/share/wicd/gtk/wicd-client.py
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
wicd-client.py:752:_trigger_scan_if_needed:AttributeError: 'NoneType' object has no attribute 'Scan'

Traceback (most recent call last):
  File "/usr/share/wicd/gtk/wicd-client.py", line 90, in wrapper
    return func(*args, **kwargs)
  File "/usr/share/wicd/gtk/wicd-client.py", line 752, in _trigger_scan_if_needed
    wireless.Scan(False)
AttributeError: 'NoneType' object has no attribute 'Scan'

Local variables in innermost frame:
item: <gtk.ImageMenuItem object at 0x228d280 (GtkImageMenuItem at 0x22f21f0)>
self: <StatusTrayIconGUI object at 0x226b910 (GtkStatusIcon at 0x23211e0)>

Potential duplicate: bug 851821
Comment 1 Porter Smith 2013-07-02 09:57:47 EDT
Created attachment 767732 [details]
File: backtrace
Comment 2 Porter Smith 2013-07-02 09:57:49 EDT
Created attachment 767733 [details]
File: core_backtrace
Comment 3 Porter Smith 2013-07-02 09:57:52 EDT
Created attachment 767734 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 09:13:30 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 17:02:43 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.